// Garden Gnome Software - Skin
// Pano2VR 5.2.3/15990
// Filename: splash.ggsk
// Generated Sun Jan 21 17:11:14 2018

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._timer_1=document.createElement('div');
		this._timer_1.ggTimestamp=this.ggCurrentTime;
		this._timer_1.ggLastIsActive=true;
		this._timer_1.ggTimeout=5000;
		this._timer_1.ggId="Timer 1";
		this._timer_1.ggLeft=-196;
		this._timer_1.ggTop=-182;
		this._timer_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._timer_1.ggVisible=true;
		this._timer_1.className='ggskin ggskin_timer ';
		this._timer_1.ggType='timer';
		hs ='';
		hs+='height : 364px;';
		hs+='left : -196px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : -182px;';
		hs+='visibility : hidden;';
		hs+='width : 392px;';
		hs+='pointer-events:none;';
		this._timer_1.setAttribute('style',hs);
		this._timer_1.style[domTransform + 'Origin']='50% 50%';
		me._timer_1.ggIsActive=function() {
			return (me._timer_1.ggTimestamp + me._timer_1.ggTimeout) >= me.ggCurrentTime;
		}
		me._timer_1.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._timer_1.onclick=function (e) {
			if (me.player.transitionsDisabled) {
				me._timer_1.style[domTransition]='none';
			} else {
				me._timer_1.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._timer_1.style.opacity='0';
			me._timer_1.style.visibility='hidden';
		}
		me._timer_1.ggCurrentLogicStateAlpha = -1;
		this._timer_1.ggUpdateConditionTimer=function () {
			var newLogicStateAlpha;
			if (
				(me._timer_1.ggIsActive() == false)
			)
			{
				newLogicStateAlpha = 0;
			}
			else {
				newLogicStateAlpha = -1;
			}
			if (me._timer_1.ggCurrentLogicStateAlpha != newLogicStateAlpha) {
				me._timer_1.ggCurrentLogicStateAlpha = newLogicStateAlpha;
				me._timer_1.style[domTransition]='opacity 1000ms ease 0ms, visibility 1000ms ease 0ms';
				if (me._timer_1.ggCurrentLogicStateAlpha == 0) {
					me._timer_1.style.visibility=me._timer_1.ggVisible?'inherit':'hidden';
					me._timer_1.style.opacity=1;
				}
				else {
					me._timer_1.style.visibility="hidden";
					me._timer_1.style.opacity=0;
				}
			}
		}
		this._timer_1.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h/2) + 'px';
			}
		}
		this._splash=document.createElement('div');
		this._splash__text=document.createElement('div');
		this._splash.className='ggskin ggskin_textdiv';
		this._splash.ggTextDiv=this._splash__text;
		this._splash.ggId="splash";
		this._splash.ggLeft=-196;
		this._splash.ggTop=-182;
		this._splash.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._splash.ggVisible=true;
		this._splash.className='ggskin ggskin_text ';
		this._splash.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 363px;';
		hs+='left : -196px;';
		hs+='position : absolute;';
		hs+='top : -182px;';
		hs+='visibility : inherit;';
		hs+='width : 389px;';
		hs+='pointer-events:auto;';
		hs+='text-shadow: 1px 1px 2px #888888; box-shadow: 8px 10px #888888;';
		this._splash.setAttribute('style',hs);
		this._splash.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 389px;';
		hs+='height: 363px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #888888;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._splash__text.setAttribute('style',hs);
		this._splash__text.innerHTML="<br\/><br\/>Fly In with a splash.<br\/>Added CSS to make text drop and box shaddow.<br\/><br\/>Click to close";
		this._splash.appendChild(this._splash__text);
		me._splash.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._splash.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._splash.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h/2) + 'px';
			}
		}
		this._timer_1.appendChild(this._splash);
		this.divSkin.appendChild(this._timer_1);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		me._timer_1.ggUpdateConditionTimer();
	};
	this.addSkin();
};